com.independentsoft.exchange

## Enum KeyboardShortcut

- java.lang.Object
- - java.lang.Enum<KeyboardShortcut>
  - - com.independentsoft.exchange.KeyboardShortcut

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<KeyboardShortcut>

      public enum KeyboardShortcut
      extends java.lang.Enum<KeyboardShortcut>

  The Enum KeyboardShortcut.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CTRL_F10`
    `CTRL_F11`
    `CTRL_F12`
    `CTRL_F2`
    `CTRL_F3`
    `CTRL_F4`
    `CTRL_F5`
    `CTRL_F6`
    `CTRL_F7`
    `CTRL_F8`
    `CTRL_F9`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyboardShortcut` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KeyboardShortcut[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CTRL_F2

          public static final KeyboardShortcut CTRL_F2

    - #### CTRL_F3

          public static final KeyboardShortcut CTRL_F3

    - #### CTRL_F4

          public static final KeyboardShortcut CTRL_F4

    - #### CTRL_F5

          public static final KeyboardShortcut CTRL_F5

    - #### CTRL_F6

          public static final KeyboardShortcut CTRL_F6

    - #### CTRL_F7

          public static final KeyboardShortcut CTRL_F7

    - #### CTRL_F8

          public static final KeyboardShortcut CTRL_F8

    - #### CTRL_F9

          public static final KeyboardShortcut CTRL_F9

    - #### CTRL_F10

          public static final KeyboardShortcut CTRL_F10

    - #### CTRL_F11

          public static final KeyboardShortcut CTRL_F11

    - #### CTRL_F12

          public static final KeyboardShortcut CTRL_F12

    - #### NONE

          public static final KeyboardShortcut NONE

  - ### Method Detail

    - #### values

          public static KeyboardShortcut[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyboardShortcut c : KeyboardShortcut.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyboardShortcut valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null